Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class TileSetLayer

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.TileSetLayer

All Implemented Interfaces:
  TileLayer

    public class TileSetLayer

extends Object
implements TileLayer

A `TileLayer` implementation for a WMS server.

Author:
  Maryanovsky Alexander

Constructor Summary
`TileSetLayer(Capabilities capabilities, Capabilities.TileSet tileSet, WmsProjection projection, int minZoom, int bgColor)` Creates a new `TileSetLayer` for the specified `Capabilities.TileSet`.

Method Summary
`SizeView` | `getTileSize()` Returns the size of the tiles.
`String` | `getTileUrl(int x, int y, int zoom)` Returns the URL of the tile to display at the specified location (in pixels) and zoom.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileSetLayer

    public TileSetLayer(Capabilities capabilities,
                        Capabilities.TileSet tileSet,
                        WmsProjection projection,
                        int minZoom,
                        int bgColor)

  Creates a new `TileSetLayer` for the specified `Capabilities.TileSet`.

  Parameters:
    `capabilities` - The `Capabilities` of the service.
    `tileSet` - The tileset to display.
    `projection` - The projection.
    `minZoom` - The zoom corresponding to the first (outermost) resolution of the tileset.
    `bgColor` - The background color of the tiles, in 0xffRRGGBB format. For transparent tiles, the high 8 bits should be 0 instead of 0xff.

Method Detail

### getTileSize

    public SizeView getTileSize()

  Returns the size of the tiles.

  Specified by:
    `getTileSize` in interface `TileLayer`

### getTileUrl

    public String getTileUrl(int x,
                             int y,
                             int zoom)

  Returns the URL of the tile to display at the specified location (in pixels) and zoom. Returns `null` if there is no tile at the specified location, if, for example, it is outside the boundaries of the map.

  Specified by:
    `getTileUrl` in interface `TileLayer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD